OBRXMLWriter
Date: 2014-12-13

org.apache.ivy.osgi.obr.xml

## Class OBRXMLWriter

- java.lang.Object
- - org.apache.ivy.osgi.obr.xml.OBRXMLWriter

-     public class OBRXMLWriter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OBRXMLWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.xml.sax.ContentHandler` | `newHandler(java.io.OutputStream out, java.lang.String encoding, boolean indent)`
    `static void` | `writeBundles(java.lang.Iterable<BundleInfo> bundleInfos, org.xml.sax.ContentHandler handler)`
    `static void` | `writeManifests(java.lang.Iterable<ManifestAndLocation> manifestAndLocations, org.xml.sax.ContentHandler handler, boolean quiet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OBRXMLWriter

          public OBRXMLWriter()

  - ### Method Detail

    - #### newHandler

          public static org.xml.sax.ContentHandler newHandler(java.io.OutputStream out,
                                              java.lang.String encoding,
                                              boolean indent)
                                                       throws javax.xml.transform.TransformerConfigurationException

      Throws:
        `javax.xml.transform.TransformerConfigurationException`

    - #### writeManifests

          public static void writeManifests(java.lang.Iterable<ManifestAndLocation> manifestAndLocations,
                            org.xml.sax.ContentHandler handler,
                            boolean quiet)
                                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### writeBundles

          public static void writeBundles(java.lang.Iterable<BundleInfo> bundleInfos,
                          org.xml.sax.ContentHandler handler)
                                   throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`